@import "../../../../assets/styles/variables";
@import "../../../../assets/styles/mixins";
@import "../section-styles";


@include section-body() {
	overflow : hidden;
	padding  : 11px;
	@include media-breakpoint-only(lg) {
		height  : 162px;
		padding : 5px;
	}
	@include media-breakpoint-only(xl) {
		height  : 397px;
		padding : 11px;
	}
	@include media-breakpoint-only(xxl) {
		height  : 420px;
		padding : 11px;
	}
	
	& a {
		@include media-breakpoint-only(lg) {
			width  : 117px;
			height : 144px;
			margin : 4.6px;
			
		}
		
		& .channel-box {
			@include media-breakpoint-only(lg) {
				height : 100%;
			}
			border-radius : 8px;
			border        : 1px solid $tw-dark4;
			@include transition-hover();
			@include media-breakpoint-only(xl) {
				height : 118px;
			}
			@include media-breakpoint-only(xxl) {
				height : 128px;
			}
			
			& span {
				@include transition-hover();
			}
			
			& img {
				width : 64px;
			}
			
			&:hover {
				border : 1px solid $tw-red;
				
				& span {
					color       : $tw-orange !important;
					font-weight : $font-weight-bold;
				}
			}
		}
	}
}
